@echo off

set UPX_PATH=.\upx.exe
set DIST_PATH=..\dist\

echo Compressing files in %DIST_PATH% directory...

for %%F in ("%DIST_PATH%*") do (
    if /I not "%%~xF"==".exe" (
        echo Compressing %%~nxF...
        "%UPX_PATH%" --best "%%~dpnxF"
    ) else (
        echo Skipping compression for %%~nxF...
    )
)

echo Compression complete.